package com.loafle.overflow.module.infra.service;

import com.loafle.overflow.module.domain.model.Domain;
import com.loafle.overflow.module.infra.dao.InfraDAO;
import com.loafle.overflow.module.infra.model.Infra;
import com.loafle.overflow.module.probe.model.Probe;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraService")
public class InfraService {

    @Autowired
    InfraDAO infraDAO;

    public Infra regist(Infra infra) {
        return this.infraDAO.save(infra);
    }

    public Infra read(long id) {
        return this.infraDAO.findOne(id);
    }

    public List<Infra> readAllByProbe(Probe probe) {
        return this.infraDAO.findAllByProbe(probe);
    }

}
